Get the billing history for the organization.
Server:
https://cloud.elastic.co
(Public)
- GET /api/v1/billing/organization/{organization_id}/history
Retrieves the billing statement and invoice history for the organization, including statement periods, amounts, statuses, and PDF download links when available.
Path Parameters
-
organization_idstringrequired
Responses
Successful fetched billing history.
-
invoicesobject -
invoice_pdf_downloadstring -
invoiced_amount_in_centsintegerrequired -
issue_datestringrequired -
numberintegerrequired -
organization_idstringrequired -
payment_metadataobject -
amountnumber -
currencystring -
external_invoice_idstring -
period_end_datestringrequired -
period_start_datestringrequired -
statusstringrequired -
typestringrequired -
statementsobject -
currencystring -
ecu_totalinteger -
external_invoice_pdf_downloadstring -
Presigned S3 URL for the externally generated (e.g. Recurly) invoice PDF. Present only when that PDF exists in S3.
-
invoiced_amount_in_centsinteger -
issue_datestring -
numberstring -
organization_idstring -
payment_metadataobject -
Present only when payment details exist (e.g. Recurly details for direct monthly CC statements).
-
amountnumber -
currencystring -
external_invoice_idstring -
period_end_datestring -
period_start_datestring -
resellerboolean -
statusstring -
typestring -
usage_pdf_downloadstring
Access token is missing or invalid
Response Type: string
404
Not found.
500
Internal Server Error.